<?php
namespace ModulesAbstract\ImportedOrdersFileManager;

class View_AddFile extends \App\Mvc\View_Popup_FormAbstract
{
	protected $renderingTemplate = APP_REAL_PATH.'ModulesAbstract/ImportedOrdersFileManager/View/_tpl/addFile.tpl';

	/**
	 * The class name which generates the form for the current action.
	 * @var String
	 */
	protected $formClassName='View_Utils_FormAddFile';

	/**
	 * The sbstract lang array.
	 * @var array
	 */
	protected $absLang= [];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::loadTranslations()
	*/
	protected function loadTranslations()
	{
		parent::loadTranslations();
		$this->absLang = \App\Loader_Lang::getInstance()->loadAppFolder('_customLoad/modulesAbstract/importedOrdersFileManager')->getSection('ModulesAbstract/ImportedOrdersFileManager');
	}

	public function getPageTitle()
	{
		return sprintf($this->absLang['addFile']['pageTitle'], $this->output['folderPath']);
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::assignSmartyDefaultVars()
	 */
	protected function assignSmartyDefaultVars($smarty)
	{
		parent::assignSmartyDefaultVars($smarty);
		$smarty->assign('absLang', 	$this->absLang);
	}
}